import { defineStore } from "pinia";
import { ref } from 'vue'
export const useDataStoreRetirement = defineStore("retirementDatastore", () => {
  const taboption = ref<any>([{ name: "officer", id: "officer", label: 'ขรก.กทม.สามัญ' },
  { name: "employee", id: "employee", label: "ลูกจ้างประจำ" }])
  const tab = ref<any>("officer");
  const type = ref<string>("officer");
  const clickTab = (role: string) => {
    type.value = role
  }
  return {
    tab,
    type,
    clickTab,
    taboption
  };
});
